All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::CHECK_SCALAR_TEMPLATE_ARGUMENT< T > Struct Template Reference

A guard that checks whether the floating point type of GPU types is either float or double. More...

`#include <tools.hpp>`

## Public Types

typedef T::ERROR_SCALAR_MUST_HAVE_TEMPLATE_ARGUMENT_FLOAT_OR_DOUBLE | ResultType

## Detailed Description

### template<typename T>
struct viennacl::tools::CHECK_SCALAR_TEMPLATE_ARGUMENT< T >

A guard that checks whether the floating point type of GPU types is either float or double.

Definition at line 63 of file tools.hpp.

## Member Typedef Documentation

template<typename T >

typedef T::ERROR_SCALAR_MUST_HAVE_TEMPLATE_ARGUMENT_FLOAT_OR_DOUBLE viennacl::tools::CHECK_SCALAR_TEMPLATE_ARGUMENT< T >::ResultType

Definition at line 65 of file tools.hpp.

The documentation for this struct was generated from the following file:

- viennacl/tools/tools.hpp